# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'birt/api/version'

Gem::Specification.new do |spec|
  spec.name          = "birt-api"
  spec.version       = Birt::Api::VERSION
  spec.authors       = ["Saxer"]
  spec.email         = ["15201280641@qq.com"]

  spec.summary       = %q{birt api}
  spec.description   = %q{birt report data api}
  spec.homepage      = "https://github.com/mumaoxi/birt-api"
  spec.license      = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f|
    f.match(%r{^(bin|config|public|test|spec|features|birt|app/assets|lib/tasks)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["app","lib"]

  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = "https://rubygems.org"
  end

  spec.add_development_dependency "bundler", "~> 1.9"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_runtime_dependency "birt-core", "~> 0.1.7"
end
